MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Typedefs | Functions | Variables
HAL_OBJ

## Data Structures
struct | _HAL_AdcData_t_
| Defines the ADC data. More...
struct | _HAL_DacData_t_
| Defines the DAC data. More...
struct | _HAL_PwmData_t_
| Defines the PWM data. More...
struct | _HAL_Obj_
| Defines the hardware abstraction layer (HAL) data. More...

## Typedefs
typedef struct _HAL_AdcData_t_ | HAL_AdcData_t
| Defines the ADC data. More...
typedef struct _HAL_DacData_t_ | HAL_DacData_t
| Defines the DAC data. More...
typedef struct _HAL_PwmData_t_ | HAL_PwmData_t
| Defines the PWM data. More...
typedef struct _HAL_Obj_ | HAL_Obj
| Defines the hardware abstraction layer (HAL) data. More...
typedef struct _HAL_Obj_ * | HAL_Handle
| Defines the HAL handle. More...
typedef struct _HAL_AdcData_t_ | HAL_AdcData_t
| Defines the ADC data. More...
typedef struct _HAL_DacData_t_ | HAL_DacData_t
| Defines the DAC data. More...
typedef struct _HAL_PwmData_t_ | HAL_PwmData_t
| Defines the PWM data. More...
typedef struct _HAL_Obj_ | HAL_Obj
| Defines the hardware abstraction layer (HAL) data. More...
typedef struct _HAL_Obj_ * | HAL_Handle
| Defines the HAL handle. More...
typedef struct _HAL_Obj_ | HAL_Obj
| Defines the hardware abstraction layer (HAL) data. More...
typedef struct _HAL_Obj_ * | HAL_Handle
| Defines the HAL handle. More...
typedef struct _HAL_AdcData_t_ | HAL_AdcData_t
| Defines the ADC data. More...
typedef struct _HAL_DacData_t_ | HAL_DacData_t
| Defines the DAC data. More...
typedef struct _HAL_PwmData_t_ | HAL_PwmData_t
| Defines the PWM data. More...
typedef struct _HAL_Obj_ | HAL_Obj
| Defines the hardware abstraction layer (HAL) data. More...
typedef struct _HAL_Obj_ * | HAL_Handle
| Defines the HAL handle. More...
typedef struct _HAL_Obj_ | HAL_Obj
| Defines the hardware abstraction layer (HAL) data. More...
typedef struct _HAL_Obj_ * | HAL_Handle
| Defines the HAL handle. More...
typedef struct _HAL_AdcData_t_ | HAL_AdcData_t
| Defines the ADC data. More...
typedef struct _HAL_DacData_t_ | HAL_DacData_t
| Defines the DAC data. More...
typedef struct _HAL_PwmData_t_ | HAL_PwmData_t
| Defines the PWM data. More...
typedef struct _HAL_Obj_ | HAL_Obj
| Defines the hardware abstraction layer (HAL) data. More...
typedef struct _HAL_Obj_ * | HAL_Handle
| Defines the HAL handle. More...
typedef struct _HAL_Obj_ | HAL_Obj
| Defines the hardware abstraction layer (HAL) data. More...
typedef struct _HAL_Obj_ * | HAL_Handle
| Defines the HAL handle. More...
typedef struct _HAL_AdcData_t_ | HAL_AdcData_t
| Defines the ADC data. More...
typedef struct _HAL_DacData_t_ | HAL_DacData_t
| Defines the DAC data. More...
typedef struct _HAL_PwmData_t_ | HAL_PwmData_t
| Defines the PWM data. More...
typedef struct _HAL_Obj_ | HAL_Obj
| Defines the hardware abstraction layer (HAL) data. More...
typedef struct _HAL_Obj_ * | HAL_Handle
| Defines the HAL handle. More...

## Functions
void | HAL_runOffsetEst (HAL_Handle handle, const HAL_AdcData_t *pAdcData)
| Runs offset estimation. More...

## Variables
HAL_Obj | hal
| Defines the HAL object. More...
HAL_Obj | hal
| Defines the HAL object. More...
HAL_Obj | hal
| Defines the HAL object. More...
HAL_Obj | hal
| Defines the HAL object. More...
HAL_Obj | hal
| Defines the HAL object. More...
HAL_Obj | hal
| Defines the HAL object. More...
HAL_Obj | hal
| Defines the HAL object. More...
HAL_Obj | hal
| Defines the HAL object. More...

## Detailed Description

## Data Structure Documentation

struct _HAL_AdcData_t_

Defines the ADC data.

This data structure contains the voltage and current values that are used when performing a HAL_AdcRead and then this structure is passed to the CTRL controller and the FAST estimator.

Definition at line 88 of file boostxldrv8301_revB/f28x/f2806x/src/hal_obj.h.

Data Fields
_iq | dcBus | the dcBus value
_iq | dcBus_pu | the dcBus value
float_t | dcBus_V | the dcBus value
MATH_vec3 | I | the current values
MATH_vec3 | I_A | the current values
MATH_vec3 | I_pu | the current values
MATH_vec3 | V | the voltage values
MATH_vec3 | V_pu | the voltage values
MATH_vec3 | V_V | the voltage values

struct _HAL_DacData_t_

Defines the DAC data.

This data structure contains the pwm values that are used for the DAC output on a lot of the hardware kits for debugging.

Definition at line 103 of file boostxldrv8301_revB/f28x/f2806x/src/hal_obj.h.

Data Fields
float_t | value[4] | the DAC data
_iq | value[4] | the DAC data

struct _HAL_PwmData_t_

Defines the PWM data.

This structure contains the pwm voltage values for the three phases. A HAL_PwmData_t variable is filled with values from, for example, a space vector modulator and then sent to functions like HAL_writePwmData() to write to the PWM peripheral.

Definition at line 116 of file boostxldrv8301_revB/f28x/f2806x/src/hal_obj.h.

Data Fields
MATH_vec3 | Tabc | the PWM time-durations for each motor phase
MATH_vec3 | Vabc_pu | the PWM time-durations for each motor phase

struct _HAL_Obj_

Defines the hardware abstraction layer (HAL) data.

The HAL object contains all handles to peripherals. When accessing a peripheral on a processor, use a HAL function along with the HAL handle for that processor to access its peripherals.

Definition at line 128 of file boostxldrv8301_revB/f28x/f2806x/src/hal_obj.h.

Data Fields
HAL_AdcData_t | adcBias | the ADC bias
ADC_Handle | adcHandle | the ADC handle
CLK_Handle | clkHandle | the clock handle
CPU_Handle | cpuHandle | the CPU handle
float_t | current_sf | the current scale factor, amps/cnt
_iq | current_sf | the current scale factor, amps_pu/cnt the current scale factor, amps/cnt
DRV8301_Obj | drv8301 | the drv8301 interface object
DRV8301_Handle | drv8301Handle | the drv8301 interface handle
FLASH_Handle | flashHandle | the flash handle
GPIO_Handle | gpioHandle | the GPIO handle
uint_least8_t | numCurrentSensors | the number of current sensors
uint_least8_t | numVoltageSensors | the number of voltage sensors
OFFSET_Obj | offset_I[3] | the current offset objects
OFFSET_Obj | offset_V[3] | the voltage offset objects
OFFSET_Handle | offsetHandle_I[3] | the handles for the current offset estimators
OFFSET_Handle | offsetHandle_V[3] | the handles for the voltage offset estimators
OSC_Handle | oscHandle | the oscillator handle
PIE_Handle | pieHandle |
PLL_Handle | pllHandle | the PLL handle
PWMDAC_Handle | pwmDacHandle[3] |
PWM_Handle | pwmHandle[3] |
PWR_Handle | pwrHandle |
SPI_Obj | spiA | the SPIA object
SPI_Handle | spiAHandle | the SPI handle the SPIA handle
SPI_Obj | spiB | the SPIB object the SPI object
SPI_Handle | spiBHandle | the SPI handle the SPIB handle
TIMER_Handle | timerHandle[3] |
float_t | voltage_sf | the voltage scale factor, volts/cnt
_iq | voltage_sf | the voltage scale factor, volts_pu/cnt the voltage scale factor, volts/cnt
WDOG_Handle | wdogHandle | the watchdog handle

## Typedef Documentation

typedef struct _HAL_AdcData_t_ HAL_AdcData_t

Defines the ADC data.

This data structure contains the voltage and current values that are used when performing a HAL_AdcRead and then this structure is passed to the CTRL controller and the FAST estimator.

typedef struct _HAL_AdcData_t_ HAL_AdcData_t

Defines the ADC data.

This data structure contains the voltage and current values that are used when performing a HAL_AdcRead and then this structure is passed to the CTRL controller and the FAST estimator.

typedef struct _HAL_AdcData_t_ HAL_AdcData_t

Defines the ADC data.

This data structure contains the voltage and current values that are used when performing a HAL_AdcRead and then this structure is passed to the CTRL controller and the FAST estimator.

typedef struct _HAL_AdcData_t_ HAL_AdcData_t

Defines the ADC data.

This data structure contains the voltage and current values that are used when performing a HAL_AdcRead and then this structure is passed to the CTRL controller and the FAST estimator.

typedef struct _HAL_AdcData_t_ HAL_AdcData_t

Defines the ADC data.

This data structure contains the voltage and current values that are used when performing a HAL_AdcRead and then this structure is passed to the CTRL controller and the FAST estimator.

typedef struct _HAL_DacData_t_ HAL_DacData_t

Defines the DAC data.

This data structure contains the pwm values that are used for the DAC output on a lot of the hardware kits for debugging.

typedef struct _HAL_DacData_t_ HAL_DacData_t

Defines the DAC data.

This data structure contains the pwm values that are used for the DAC output on a lot of the hardware kits for debugging.

typedef struct _HAL_DacData_t_ HAL_DacData_t

Defines the DAC data.

This data structure contains the pwm values that are used for the DAC output on a lot of the hardware kits for debugging.

typedef struct _HAL_DacData_t_ HAL_DacData_t

Defines the DAC data.

This data structure contains the pwm values that are used for the DAC output on a lot of the hardware kits for debugging.

typedef struct _HAL_DacData_t_ HAL_DacData_t

Defines the DAC data.

This data structure contains the pwm values that are used for the DAC output on a lot of the hardware kits for debugging.

typedef struct _HAL_Obj_* HAL_Handle

Defines the HAL handle.

The HAL handle is a pointer to a HAL object. In all HAL functions the HAL handle is passed so that the function knows what peripherals are to be accessed.

Definition at line 137 of file hvkit_rev1p1/f28x/f2806x/src/float/hal_obj.h.

typedef struct _HAL_Obj_* HAL_Handle

Defines the HAL handle.

The HAL handle is a pointer to a HAL object. In all HAL functions the HAL handle is passed so that the function knows what peripherals are to be accessed.

Definition at line 144 of file drv8312kit_revD/f28x/f2806x/src/float/hal_obj.h.

typedef struct _HAL_Obj_* HAL_Handle

Defines the HAL handle.

The HAL handle is a pointer to a HAL object. In all HAL functions the HAL handle is passed so that the function knows what peripherals are to be accessed.

Definition at line 148 of file drv8301kit_revD/f28x/f2806x/src/float/hal_obj.h.

typedef struct _HAL_Obj_* HAL_Handle

Defines the HAL handle.

The HAL handle is a pointer to a HAL object. In all HAL functions the HAL handle is passed so that the function knows what peripherals are to be accessed.

Definition at line 180 of file hvkit_rev1p1/f28x/f2806x/src/hal_obj.h.

typedef struct _HAL_Obj_* HAL_Handle

Defines the HAL handle.

The HAL handle is a pointer to a HAL object. In all HAL functions the HAL handle is passed so that the function knows what peripherals are to be accessed.

Definition at line 182 of file drv8312kit_revD/f28x/f2806x/src/hal_obj.h.

typedef struct _HAL_Obj_* HAL_Handle

Defines the HAL handle.

The HAL handle is a pointer to a HAL object. In all HAL functions the HAL handle is passed so that the function knows what peripherals are to be accessed.

Definition at line 189 of file drv8301kit_revD/f28x/f2806x/src/hal_obj.h.

typedef struct _HAL_Obj_* HAL_Handle

Defines the HAL handle.

The HAL handle is a pointer to a HAL object. In all HAL functions the HAL handle is passed so that the function knows what peripherals are to be accessed.

Definition at line 189 of file boostxldrv8301_revB/f28x/f2806x/src/hal_obj.h.

typedef struct _HAL_Obj_* HAL_Handle

Defines the HAL handle.

The HAL handle is a pointer to a HAL object. In all HAL functions the HAL handle is passed so that the function knows what peripherals are to be accessed.

Definition at line 192 of file hal_obj_both.h.

typedef struct _HAL_Obj_ HAL_Obj

Defines the hardware abstraction layer (HAL) data.

The HAL object contains all handles to peripherals. When accessing a peripheral on a processor, use a HAL function along with the HAL handle for that processor to access its peripherals.

typedef struct _HAL_Obj_ HAL_Obj

Defines the hardware abstraction layer (HAL) data.

The HAL object contains all handles to peripherals. When accessing a peripheral on a processor, use a HAL function along with the HAL handle for that processor to access its peripherals.

typedef struct _HAL_Obj_ HAL_Obj

Defines the hardware abstraction layer (HAL) data.

The HAL object contains all handles to peripherals. When accessing a peripheral on a processor, use a HAL function along with the HAL handle for that processor to access its peripherals.

typedef struct _HAL_Obj_ HAL_Obj

Defines the hardware abstraction layer (HAL) data.

The HAL object contains all handles to peripherals. When accessing a peripheral on a processor, use a HAL function along with the HAL handle for that processor to access its peripherals.

typedef struct _HAL_Obj_ HAL_Obj

Defines the hardware abstraction layer (HAL) data.

The HAL object contains all handles to peripherals. When accessing a peripheral on a processor, use a HAL function along with the HAL handle for that processor to access its peripherals.

typedef struct _HAL_Obj_ HAL_Obj

Defines the hardware abstraction layer (HAL) data.

The HAL object contains all handles to peripherals. When accessing a peripheral on a processor, use a HAL function along with the HAL handle for that processor to access its peripherals.

typedef struct _HAL_Obj_ HAL_Obj

Defines the hardware abstraction layer (HAL) data.

The HAL object contains all handles to peripherals. When accessing a peripheral on a processor, use a HAL function along with the HAL handle for that processor to access its peripherals.

typedef struct _HAL_Obj_ HAL_Obj

Defines the hardware abstraction layer (HAL) data.

The HAL object contains all handles to peripherals. When accessing a peripheral on a processor, use a HAL function along with the HAL handle for that processor to access its peripherals.

typedef struct _HAL_PwmData_t_ HAL_PwmData_t

Defines the PWM data.

This structure contains the pwm voltage values for the three phases. A HAL_PwmData_t variable is filled with values from, for example, a space vector modulator and then sent to functions like HAL_writePwmData() to write to the PWM peripheral.

typedef struct _HAL_PwmData_t_ HAL_PwmData_t

Defines the PWM data.

This structure contains the pwm voltage values for the three phases. A HAL_PwmData_t variable is filled with values from, for example, a space vector modulator and then sent to functions like HAL_writePwmData() to write to the PWM peripheral.

typedef struct _HAL_PwmData_t_ HAL_PwmData_t

Defines the PWM data.

This structure contains the pwm voltage values for the three phases. A HAL_PwmData_t variable is filled with values from, for example, a space vector modulator and then sent to functions like HAL_writePwmData() to write to the PWM peripheral.

typedef struct _HAL_PwmData_t_ HAL_PwmData_t

Defines the PWM data.

This structure contains the pwm voltage values for the three phases. A HAL_PwmData_t variable is filled with values from, for example, a space vector modulator and then sent to functions like HAL_writePwmData() to write to the PWM peripheral.

typedef struct _HAL_PwmData_t_ HAL_PwmData_t

Defines the PWM data.

This structure contains the pwm voltage values for the three phases. A HAL_PwmData_t variable is filled with values from, for example, a space vector modulator and then sent to functions like HAL_writePwmData() to write to the PWM peripheral.

## Function Documentation

void HAL_runOffsetEst | ( | HAL_Handle | handle,
|  | const HAL_AdcData_t * | pAdcData
| ) |  |
| inline

Runs offset estimation.

Offsets of the voltage and current feedbacks are required for good low speed performance of the motor drive.

Parameters

  [in] | handle | The hardware abstraction layer (HAL) handle
  [in] | pAdcData | The pointer to the ADC data

Definition at line 202 of file boostxldrv8301_revB/f28x/f2806x/src/hal_obj.h.

References _HAL_AdcData_t_::I, _HAL_Obj_::numCurrentSensors, _HAL_Obj_::numVoltageSensors, OFFSET_run(), _HAL_Obj_::offsetHandle_I, _HAL_Obj_::offsetHandle_V, _HAL_AdcData_t_::V, and _MATH_vec3_::value.

Referenced by CTRL_runOffLine().

## Variable Documentation

HAL_Obj hal

Defines the HAL object.

Definition at line 61 of file boostxldrv8301_revB/f28x/f2806x/src/hal.c.

HAL_Obj hal

Defines the HAL object.

Definition at line 61 of file boostxldrv8301_revB/f28x/f2806x/src/hal.c.

HAL_Obj hal

Defines the HAL object.

Definition at line 61 of file boostxldrv8301_revB/f28x/f2806x/src/hal.c.

HAL_Obj hal

Defines the HAL object.

Definition at line 61 of file boostxldrv8301_revB/f28x/f2806x/src/hal.c.

Referenced by HAL_disableWdog().

HAL_Obj hal

Defines the HAL object.

Definition at line 61 of file boostxldrv8301_revB/f28x/f2806x/src/hal.c.

HAL_Obj hal

Defines the HAL object.

Definition at line 61 of file boostxldrv8301_revB/f28x/f2806x/src/hal.c.

HAL_Obj hal

Defines the HAL object.

Definition at line 61 of file boostxldrv8301_revB/f28x/f2806x/src/hal.c.

HAL_Obj hal

Defines the HAL object.

Definition at line 61 of file boostxldrv8301_revB/f28x/f2806x/src/hal.c.